#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
	string s;
    cin >>s;
    long n;
    cin >>n;
    for (int i=0;i<n;i++)
    {
        long q,l;
        cin >>q>>l;
        long t=0;
        for (int j=q;j<l;j++)
        {
            if (s[j]=='a' && s[j-1]=='b' || s[j]=='a' && s[j-1]=='c' || s[j]=='b' && s[j-1]=='c') t++;
        }
        cout <<t+1<<endl;
    }

}
